apiVersion: batch/v1
kind: CronJob
metadata:
  name: email-notifications-dispatcher
spec:
  schedule: "*/1 * * * *" # Schedule the job to run every minute
  successfulJobsHistoryLimit: 1
  failedJobsHistoryLimit: 1
  jobTemplate:
    spec:
      template:
        spec:
          containers:
            - name: email-notification-dispatcher
              image: curlimages/curl
              command:
                - sh
                - -c
              args:
                - curl http://email-notification/v1/dispatch
          restartPolicy: Never
